Subject: Re: mail log

From: [email-masked] (Jose De Castro)
Date: Wed, 5 Apr 1995 09:27:02 -0800

At 12:57 AM 4/5/95, Joshua wrote:
   ... some deleted stuff ...
>    :0
>    * [email-masked]
>    | (formail -r -A"Precedence: junk" -I"Subject: file f2";\
>     cat $HOME/outbound/f2.txt) | $SENDMAIL -t
> 
   ... some deleted stuff
> 
>    :0
>    $HOME/outbound/.log
> }
> ####### End of my .procmailrc #########
> 
> Procmail auto replies to file requests fine. 

I'm surprised that this works.  Just from a glance above, it looked like 
the regexp would not cater for the colon and space which typically comes
was part of the mail header fields.  I know I use something more like
the following to take care of the ":", spaces " ", and possibly other
people on the "To:" list (I would also add -oi to the sendmail so as
to ignore "." on a line by itself):

   :0
   * [email-masked]
   | (formail -r -A"Precedence: junk" -I"Subject: file f2";\
    cat $HOME/outbound/f2.txt) | $SENDMAIL -oi -t

Did I not understand how those regexps work?

> However, all my regular mails
> went into file .log without showing  up in my Pine Mailer or Unix
> Mail Mailer. My intention for .log file is to record down all requesters'
> email addresses. How can I acomplish that? 

I believe that you need to continue the last recipe with the "c" flag:

   :0 c
   $HOME/outbound/.log

I hope this helps.

Jose.

---------------
Jose De Castro
Mentor Graphics Corp.
ASIC Vendor Operations
Phone: (503) 685-1139
Fax:   (503) 685-1268
Email: [email-masked]